Snoze Developers
API referenceAi database

Get Run

GET
/v1/workspaces/{workspaceId}/ai/runs/{runId}
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string
runId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces/string/ai/runs/string"
{  "data": {    "id": "string",    "workspaceId": "string",    "databaseId": "string",    "prompt": "string",    "summary": "string",    "status": "planned",    "ops": [      {        "index": 0,        "op": {          "kind": "create_field",          "label": "string",          "fieldKind": "text",          "required": true,          "options": [            {}          ],          "settings": {}        },        "stake": "never_ask",        "description": "string"      }    ],    "maxStake": "never_ask",    "createdAt": "string"  }}